diff --git a/src/monitor/monitor.c b/src/monitor/monitor.c
index 3d8ba26..36480e2 100644
--- a/src/monitor/monitor.c
+++ b/src/monitor/monitor.c
@@ -202,8 +202,8 @@ static void network_status_change_cb(void *cb_data)
     struct mt_svc *iter;
     struct mt_ctx *ctx = (struct mt_ctx *) cb_data;
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("A networking status change detected "
-          "signaling providers to reset offline status\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "A networking status change detected "
+          "signaling providers to reset offline status\n");
     for (iter = ctx->svc_list; iter; iter = iter->next) {
         /* Don't signal services, only providers */
         if (iter->provider) {
@@ -265,7 +265,7 @@ static int client_registration(DBusMessage *message,
     data = sbus_conn_get_private_data(conn);
     mini = talloc_get_type(data, struct mon_init_conn);
     if (!mini) {
-        DEBUG(0, ("Connection holds no valid init data\n"));
+        DEBUG(0, "Connection holds no valid init data\n");
         return EINVAL;
     }
 
@@ -279,14 +279,14 @@ static int client_registration(DBusMessage *message,
                                   DBUS_TYPE_UINT16, &svc_ver,
                                   DBUS_TYPE_INVALID);
     if (!dbret) {
-        DEBUG(1, ("Failed to parse message, killing connection\n"));
+        DEBUG(1, "Failed to parse message, killing connection\n");
         if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
         sbus_disconnect(conn);
         /* FIXME: should we just talloc_zfree(conn) ? */
         goto done;
     }
 
-    DEBUG(4, ("Received ID registration: (%s,%d)\n", svc_name, svc_ver));
+    DEBUG(4, "Received ID registration: (%s,%d)\n", svc_name, svc_ver);
 
     /* search this service in the list */
     svc = mini->ctx->svc_list;
@@ -298,8 +298,8 @@ static int client_registration(DBusMessage *message,
         svc = svc->next;
     }
     if (!svc) {
-        DEBUG(0, ("Unable to find peer [%s] in list of services,"
-                  " killing connection!\n", svc_name));
+        DEBUG(0, "Unable to find peer [%s] in list of services,"
+                  " killing connection!\n", svc_name);
         sbus_disconnect(conn);
         /* FIXME: should we just talloc_zfree(conn) ? */
         goto done;
@@ -310,7 +310,7 @@ static int client_registration(DBusMessage *message,
 
     ret = mark_service_as_started(svc);
     if (ret) {
-        DEBUG(1, ("Failed to mark service [%s]!\n", svc_name));
+        DEBUG(1, "Failed to mark service [%s]!\n", svc_name);
         goto done;
     }
 
@@ -408,7 +408,7 @@ static int mark_service_as_started(struct mt_svc *svc)
     int ret;
     int i;
 
-    DEBUG(5, ("Marking %s as started.\n", svc->name));
+    DEBUG(5, "Marking %s as started.\n", svc->name);
     svc->svc_started = true;
 
     /* we need to attach a spy to the connection structure so that if some code
@@ -416,7 +416,7 @@ static int mark_service_as_started(struct mt_svc *svc)
      * try to access or even free, freed memory. */
     ret = add_svc_conn_spy(svc);
     if (ret) {
-        DEBUG(0, ("Failed to attch spy\n"));
+        DEBUG(0, "Failed to attch spy\n");
         goto done;
     }
 
@@ -425,7 +425,7 @@ static int mark_service_as_started(struct mt_svc *svc)
         /* check if all providers are up */
         for (iter = ctx->svc_list; iter; iter = iter->next) {
             if (iter->provider && !iter->svc_started) {
-                DEBUG(5, ("Still waiting on %s provider.\n", iter->name));
+                DEBUG(5, "Still waiting on %s provider.\n", iter->name);
                 break;
             }
         }
@@ -437,7 +437,7 @@ static int mark_service_as_started(struct mt_svc *svc)
 
         ctx->services_started = true;
 
-        DEBUG(4, ("Now starting services!\n"));
+        DEBUG(4, "Now starting services!\n");
         /* then start all services */
         for (i = 0; ctx->services[i]; i++) {
             add_new_service(ctx, ctx->services[i], 0);
@@ -454,20 +454,20 @@ static int mark_service_as_started(struct mt_svc *svc)
         if (ctx->is_daemon) {
             if (ctx->parent_pid <= 1 || ctx->parent_pid != getppid()) {
                 /* the parent process was already terminated */
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Invalid parent pid: %d\n",
-                      ctx->parent_pid));
+                DEBUG(SSSDBG_MINOR_FAILURE, "Invalid parent pid: %d\n",
+                      ctx->parent_pid);
                 goto done;
             }
 
-            DEBUG(SSSDBG_TRACE_FUNC, ("SSSD is initialized, "
-                                      "terminating parent process\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "SSSD is initialized, "
+                                      "terminating parent process\n");
 
             errno = 0;
             ret = kill(ctx->parent_pid, SIGTERM);
             if (ret != 0) {
                 ret = errno;
-                DEBUG(SSSDBG_FATAL_FAILURE, ("Unable to terminate parent "
-                      "process [%d]: %s\n", ret, strerror(ret)));
+                DEBUG(SSSDBG_FATAL_FAILURE, "Unable to terminate parent "
+                      "process [%d]: %s\n", ret, strerror(ret));
             }
         }
     }
@@ -483,16 +483,16 @@ static void services_startup_timeout(struct tevent_context *ev,
     struct mt_ctx *ctx = talloc_get_type(ptr, struct mt_ctx);
     int i;
 
-    DEBUG(6, ("Handling timeout\n"));
+    DEBUG(6, "Handling timeout\n");
 
     if (!ctx->services_started) {
 
-        DEBUG(1, ("Providers did not start in time, "
-                  "forcing services startup!\n"));
+        DEBUG(1, "Providers did not start in time, "
+                  "forcing services startup!\n");
 
         ctx->services_started = true;
 
-        DEBUG(4, ("Now starting services!\n"));
+        DEBUG(4, "Now starting services!\n");
         /* then start all services */
         for (i = 0; ctx->services[i]; i++) {
             add_new_service(ctx, ctx->services[i], 0);
@@ -509,7 +509,7 @@ static int add_services_startup_timeout(struct mt_ctx *ctx)
     tv = tevent_timeval_current_ofs(5, 0);
     to = tevent_add_timer(ctx->ev, ctx, tv, services_startup_timeout, ctx);
     if (!to) {
-        DEBUG(0,("Out of memory?!\n"));
+        DEBUG(0,"Out of memory?!\n");
         return ENOMEM;
     }
 
@@ -565,20 +565,20 @@ static void tasks_check_handler(struct tevent_context *ev,
         break;
 
     case ENXIO:
-        DEBUG(1,("Child (%s) not responding! (yet)\n", svc->name));
+        DEBUG(1,"Child (%s) not responding! (yet)\n", svc->name);
         break;
 
     default:
         /* TODO: should we tear it down ? */
-        DEBUG(1,("Sending a message to service (%s) failed!!\n", svc->name));
+        DEBUG(1,"Sending a message to service (%s) failed!!\n", svc->name);
         break;
     }
 
     if (svc->failed_pongs >= 3) {
         /* too long since we last heard of this process */
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Killing service [%s], not responding to pings!\n",
-               svc->name));
+              "Killing service [%s], not responding to pings!\n",
+               svc->name);
 
         /* Kill the service. The SIGCHLD handler will restart it */
         monitor_kill_service(svc);
@@ -599,8 +599,8 @@ static void set_tasks_checker(struct mt_svc *svc)
     tv.tv_usec = 0;
     te = tevent_add_timer(svc->mt_ctx->ev, svc, tv, tasks_check_handler, svc);
     if (te == NULL) {
-        DEBUG(0, ("failed to add event, monitor offline for [%s]!\n",
-                  svc->name));
+        DEBUG(0, "failed to add event, monitor offline for [%s]!\n",
+                  svc->name);
         /* FIXME: shutdown ? */
     }
     svc->ping_ev = te;
@@ -617,9 +617,9 @@ static int monitor_kill_service (struct mt_svc *svc)
     ret = kill(svc->pid, SIGTERM);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Sending signal to child (%s:%d) failed! "
+              "Sending signal to child (%s:%d) failed! "
                "Ignore and pretend child is dead.\n",
-               svc->name, svc->pid));
+               svc->name, svc->pid);
         talloc_free(svc);
     }
 
@@ -641,15 +641,15 @@ static void mt_svc_sigkill(struct tevent_context *ev,
     struct mt_svc *svc = talloc_get_type(ptr, struct mt_svc);
 
     DEBUG(SSSDBG_FATAL_FAILURE,
-          ("[%s][%d] is not responding to SIGTERM. Sending SIGKILL.\n",
-           svc->name, svc->pid));
+          "[%s][%d] is not responding to SIGTERM. Sending SIGKILL.\n",
+           svc->name, svc->pid);
 
     ret = kill(svc->pid, SIGKILL);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Sending signal to child (%s:%d) failed! "
+              "Sending signal to child (%s:%d) failed! "
               "Ignore and pretend child is dead.\n",
-              svc->name, svc->pid));
+              svc->name, svc->pid);
         talloc_free(svc);
     }
 }
@@ -665,8 +665,8 @@ static void reload_reply(DBusPendingCall *pending, void *data)
          * until reply is valid or timeout has occurred. If reply is NULL
          * here, something is seriously wrong and we should bail out.
          */
-        DEBUG(0, ("A reply callback was called but no reply was received"
-                  " and no timeout occurred\n"));
+        DEBUG(0, "A reply callback was called but no reply was received"
+                  " and no timeout occurred\n");
         /* Destroy this connection */
         sbus_disconnect(svc->conn);
         dbus_pending_call_unref(pending);
@@ -687,7 +687,7 @@ static int monitor_update_resolv(struct config_file_ctx *file_ctx,
 {
     int ret;
     struct mt_svc *cur_svc;
-    DEBUG(2, ("Resolv.conf has been updated. Reloading.\n"));
+    DEBUG(2, "Resolv.conf has been updated. Reloading.\n");
 
     ret = res_init();
     if(ret != 0) {
@@ -716,7 +716,7 @@ static int service_signal(struct mt_svc *svc, const char *svc_signal)
          * order a service to reload that hasn't started
          * yet.
          */
-        DEBUG(1,("Could not signal service [%s].\n", svc->name));
+        DEBUG(1,"Could not signal service [%s].\n", svc->name);
         return EIO;
     }
 
@@ -725,7 +725,7 @@ static int service_signal(struct mt_svc *svc, const char *svc_signal)
                                        MONITOR_INTERFACE,
                                        svc_signal);
     if (!msg) {
-        DEBUG(0,("Out of memory?!\n"));
+        DEBUG(0,"Out of memory?!\n");
         monitor_kill_service(svc);
         talloc_free(svc);
         return ENOMEM;
@@ -773,7 +773,7 @@ static int check_domain_ranges(struct sss_domain_info *domains)
         other = get_next_domain(dom, false);
         if (dom->id_max && dom->id_min > dom->id_max) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Domain '%s' does not have a valid ID range\n", dom->name));
+                  "Domain '%s' does not have a valid ID range\n", dom->name);
             return EINVAL;
         }
 
@@ -783,8 +783,8 @@ static int check_domain_ranges(struct sss_domain_info *domains)
                          (other->id_max ? other->id_max : UINT32_MAX));
             if (id_min <= id_max) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Domains '%s' and '%s' overlap in range %u - %u\n",
-                      dom->name, other->name, id_min, id_max));
+                      "Domains '%s' and '%s' overlap in range %u - %u\n",
+                      dom->name, other->name, id_min, id_max);
             }
             other = get_next_domain(other, false);
         }
@@ -832,7 +832,7 @@ static errno_t add_implicit_services(struct confdb_ctx *cdb, TALLOC_CTX *mem_ctx
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_new failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_new failed.\n");
         return ENOMEM;
     }
 
@@ -841,7 +841,7 @@ static errno_t add_implicit_services(struct confdb_ctx *cdb, TALLOC_CTX *mem_ctx
                                     CONFDB_MONITOR_ACTIVE_DOMAINS,
                                     &domain_names);
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_OP_FAILURE, ("No domains configured!\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "No domains configured!\n");
         goto done;
     }
 
@@ -849,7 +849,7 @@ static errno_t add_implicit_services(struct confdb_ctx *cdb, TALLOC_CTX *mem_ctx
         conf_path = talloc_asprintf(tmp_ctx, CONFDB_DOMAIN_PATH_TMPL,
                                     domain_names[c]);
         if (conf_path == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_asprintf failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_asprintf failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -858,8 +858,8 @@ static errno_t add_implicit_services(struct confdb_ctx *cdb, TALLOC_CTX *mem_ctx
                                 CONFDB_DOMAIN_ID_PROVIDER, NULL, &id_provider);
         if (ret == EOK) {
             if (id_provider == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("id_provider is not set for "
-                      "domain [%s], trying next domain.\n", domain_names[c]));
+                DEBUG(SSSDBG_OP_FAILURE, "id_provider is not set for "
+                      "domain [%s], trying next domain.\n", domain_names[c]);
                 continue;
             }
 
@@ -867,9 +867,9 @@ static errno_t add_implicit_services(struct confdb_ctx *cdb, TALLOC_CTX *mem_ctx
                 add_pac = true;
             }
         } else {
-            DEBUG(SSSDBG_OP_FAILURE, ("Failed to get id_provider for " \
+            DEBUG(SSSDBG_OP_FAILURE, "Failed to get id_provider for " \
                                       "domain [%s], trying next domain.\n",
-                                      domain_names[c]));
+                                      domain_names[c]);
         }
     }
 
@@ -877,7 +877,7 @@ static errno_t add_implicit_services(struct confdb_ctx *cdb, TALLOC_CTX *mem_ctx
         !string_in_list("pac", *_services, false)) {
         ret = add_string_to_list(mem_ctx, "pac", _services);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("add_string_to_list failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "add_string_to_list failed.\n");
             goto done;
         }
     }
@@ -939,20 +939,20 @@ int get_monitor_config(struct mt_ctx *ctx)
                                     CONFDB_MONITOR_ACTIVE_SERVICES,
                                     &ctx->services);
     if (ret != EOK) {
-        DEBUG(0, ("No services configured!\n"));
+        DEBUG(0, "No services configured!\n");
         return EINVAL;
     }
 
     ret = add_implicit_services(ctx->cdb, ctx->service_ctx, &ctx->services);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to add implicit configured " \
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to add implicit configured " \
                                   "services. Some functionality might " \
-                                  "be missing"));
+                                  "be missing");
     }
 
     badsrv = check_services(ctx->services);
     if (badsrv != NULL) {
-        DEBUG(0, ("Invalid service %s\n", badsrv));
+        DEBUG(0, "Invalid service %s\n", badsrv);
         return EINVAL;
     }
 
@@ -968,13 +968,13 @@ int get_monitor_config(struct mt_ctx *ctx)
     }
     ret = confdb_get_domains(ctx->cdb, &ctx->domains);
     if (ret != EOK) {
-        DEBUG(0, ("No domains configured.\n"));
+        DEBUG(0, "No domains configured.\n");
         return ret;
     }
 
     ret = check_local_domain_unique(ctx->domains);
     if (ret != EOK) {
-        DEBUG(0, ("More than one local domain configured.\n"));
+        DEBUG(0, "More than one local domain configured.\n");
         return ret;
     }
 
@@ -997,7 +997,7 @@ static errno_t get_ping_config(struct mt_ctx *ctx, const char *path,
                          MONITOR_DEF_PING_TIME, &svc->ping_time);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-               ("Failed to get ping timeout for '%s'\n", svc->name));
+               "Failed to get ping timeout for '%s'\n", svc->name);
         return ret;
     }
 
@@ -1007,15 +1007,15 @@ static errno_t get_ping_config(struct mt_ctx *ctx, const char *path,
     }
 
     DEBUG(SSSDBG_CONF_SETTINGS,
-          ("Time between service pings for [%s]: [%d]\n",
-           svc->name, svc->ping_time));
+          "Time between service pings for [%s]: [%d]\n",
+           svc->name, svc->ping_time);
 
     ret = confdb_get_int(ctx->cdb, path,
                          CONFDB_SERVICE_FORCE_TIMEOUT,
                          MONITOR_DEF_FORCE_TIME, &svc->kill_time);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to get kill timeout for %s\n", svc->name));
+              "Failed to get kill timeout for %s\n", svc->name);
         return ret;
     }
 
@@ -1025,8 +1025,8 @@ static errno_t get_ping_config(struct mt_ctx *ctx, const char *path,
     }
 
     DEBUG(SSSDBG_CONF_SETTINGS,
-          ("Time between SIGTERM and SIGKILL for [%s]: [%d]\n",
-           svc->name, svc->kill_time));
+          "Time between SIGTERM and SIGKILL for [%s]: [%d]\n",
+           svc->name, svc->kill_time);
 
     return EOK;
 }
@@ -1072,7 +1072,7 @@ static int get_service_config(struct mt_ctx *ctx, const char *name,
                             CONFDB_SERVICE_COMMAND,
                             NULL, &svc->command);
     if (ret != EOK) {
-        DEBUG(0,("Failed to start service '%s'\n", svc->name));
+        DEBUG(0,"Failed to start service '%s'\n", svc->name);
         talloc_free(svc);
         return ret;
     }
@@ -1131,7 +1131,7 @@ static int get_service_config(struct mt_ctx *ctx, const char *name,
     ret = get_ping_config(ctx, path, svc);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to get ping timeouts for %s\n", svc->name));
+              "Failed to get ping timeouts for %s\n", svc->name);
         talloc_free(svc);
         return ret;
     }
@@ -1159,7 +1159,7 @@ static int add_new_service(struct mt_ctx *ctx,
 
     ret = start_service(svc);
     if (ret != EOK) {
-        DEBUG(0,("Failed to start service '%s'\n", svc->name));
+        DEBUG(0,"Failed to start service '%s'\n", svc->name);
         talloc_free(svc);
     }
 
@@ -1207,7 +1207,7 @@ static int get_provider_config(struct mt_ctx *ctx, const char *name,
                             CONFDB_DOMAIN_ID_PROVIDER,
                             NULL, &svc->provider);
     if (ret != EOK) {
-        DEBUG(0, ("Failed to find ID provider from [%s] configuration\n", name));
+        DEBUG(0, "Failed to find ID provider from [%s] configuration\n", name);
         talloc_free(svc);
         return ret;
     }
@@ -1216,7 +1216,7 @@ static int get_provider_config(struct mt_ctx *ctx, const char *name,
                             CONFDB_DOMAIN_COMMAND,
                             NULL, &svc->command);
     if (ret != EOK) {
-        DEBUG(0, ("Failed to find command from [%s] configuration\n", name));
+        DEBUG(0, "Failed to find command from [%s] configuration\n", name);
         talloc_free(svc);
         return ret;
     }
@@ -1224,7 +1224,7 @@ static int get_provider_config(struct mt_ctx *ctx, const char *name,
     ret = get_ping_config(ctx, path, svc);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to get ping timeouts for %s\n", svc->name));
+              "Failed to get ping timeouts for %s\n", svc->name);
         talloc_free(svc);
         return ret;
     }
@@ -1304,8 +1304,8 @@ static int add_new_provider(struct mt_ctx *ctx,
 
     ret = get_provider_config(ctx, name, &svc);
     if (ret != EOK) {
-        DEBUG(0, ("Could not get provider configuration for [%s]\n",
-                  name));
+        DEBUG(0, "Could not get provider configuration for [%s]\n",
+                  name);
         return ret;
     }
     svc->restarts = restarts;
@@ -1322,7 +1322,7 @@ static int add_new_provider(struct mt_ctx *ctx,
 
     ret = start_service(svc);
     if (ret != EOK) {
-        DEBUG(0,("Failed to start service '%s'\n", svc->name));
+        DEBUG(0,"Failed to start service '%s'\n", svc->name);
         talloc_free(svc);
     }
 
@@ -1339,7 +1339,7 @@ static void monitor_hup(struct tevent_context *ev,
     struct mt_ctx *ctx = talloc_get_type(private_data, struct mt_ctx);
     struct mt_svc *cur_svc;
 
-    DEBUG(1, ("Received SIGHUP.\n"));
+    DEBUG(1, "Received SIGHUP.\n");
 
     /* Send D-Bus message to other services to rotate their logs.
      * NSS service receives also message to clear memory caches. */
@@ -1366,7 +1366,7 @@ static int monitor_cleanup(void)
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Error removing pidfile! (%d [%s])\n", ret, strerror(ret)));
+              "Error removing pidfile! (%d [%s])\n", ret, strerror(ret));
         return ret;
     }
 
@@ -1382,7 +1382,7 @@ static void monitor_quit(struct mt_ctx *mt_ctx, int ret)
     int kret;
     bool killed;
 
-    DEBUG(SSSDBG_IMPORTANT_INFO, ("Returned with: %d\n", ret));
+    DEBUG(SSSDBG_IMPORTANT_INFO, "Returned with: %d\n", ret);
 
     /* Kill all of our known children manually */
     DLIST_FOR_EACH(svc, mt_ctx->svc_list) {
@@ -1392,14 +1392,14 @@ static void monitor_quit(struct mt_ctx *mt_ctx, int ret)
         }
 
         killed = false;
-        DEBUG(1, ("Terminating [%s][%d]\n", svc->name, svc->pid));
+        DEBUG(1, "Terminating [%s][%d]\n", svc->name, svc->pid);
         do {
             errno = 0;
             kret = kill(svc->pid, SIGTERM);
             if (kret < 0) {
                 error = errno;
-                DEBUG(1, ("Couldn't kill [%s][%d]: [%s]\n",
-                          svc->name, svc->pid, strerror(error)));
+                DEBUG(1, "Couldn't kill [%s][%d]: [%s]\n",
+                          svc->name, svc->pid, strerror(error));
             }
 
             error = 0;
@@ -1412,8 +1412,8 @@ static void monitor_quit(struct mt_ctx *mt_ctx, int ret)
                     if (error == ECHILD) {
                         killed = true;
                     } else if (error != EINTR) {
-                        DEBUG(0, ("[%d][%s] while waiting for [%s]\n",
-                                  error, strerror(error), svc->name));
+                        DEBUG(0, "[%d][%s] while waiting for [%s]\n",
+                                  error, strerror(error), svc->name);
                         /* Forcibly kill this child */
                         kill(svc->pid, SIGKILL);
                         break;
@@ -1421,11 +1421,11 @@ static void monitor_quit(struct mt_ctx *mt_ctx, int ret)
                 } else if (pid != 0) {
                     error = 0;
                     if (WIFEXITED(status)) {
-                        DEBUG(1, ("Child [%s] exited gracefully\n", svc->name));
+                        DEBUG(1, "Child [%s] exited gracefully\n", svc->name);
                     } else if (WIFSIGNALED(status)) {
-                        DEBUG(1, ("Child [%s] terminated with a signal\n", svc->name));
+                        DEBUG(1, "Child [%s] terminated with a signal\n", svc->name);
                     } else {
-                        DEBUG(0, ("Child [%s] did not exit cleanly\n", svc->name));
+                        DEBUG(0, "Child [%s] did not exit cleanly\n", svc->name);
                         /* Forcibly kill this child */
                         kill(svc->pid, SIGKILL);
                     }
@@ -1471,10 +1471,10 @@ static void monitor_quit_signal(struct tevent_context *ev,
 {
     struct mt_ctx *mt_ctx = talloc_get_type(private_data, struct mt_ctx);
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Received shutdown command\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Received shutdown command\n");
 
-    DEBUG(SSSDBG_IMPORTANT_INFO, ("Monitor received %s: terminating "
-                                  "children\n", strsignal(signum)));
+    DEBUG(SSSDBG_IMPORTANT_INFO, "Monitor received %s: terminating "
+                                  "children\n", strsignal(signum));
 
     monitor_quit(mt_ctx, 0);
 }
@@ -1483,7 +1483,7 @@ static void signal_res_init(struct mt_ctx *monitor)
 {
     struct mt_svc *cur_svc;
     int ret;
-    DEBUG(SSSDBG_OP_FAILURE, ("Reloading Resolv.conf.\n"));
+    DEBUG(SSSDBG_OP_FAILURE, "Reloading Resolv.conf.\n");
 
     ret = res_init();
     if (ret == 0) {
@@ -1506,7 +1506,7 @@ static void signal_offline(struct tevent_context *ev,
     monitor = talloc_get_type(private_data, struct mt_ctx);
 
     DEBUG(SSSDBG_TRACE_INTERNAL,
-         ("Signaling providers to go offline immediately.\n"));
+         "Signaling providers to go offline immediately.\n");
 
     /* Signal all providers to immediately go offline */
     for(cur_svc = monitor->svc_list; cur_svc; cur_svc = cur_svc->next) {
@@ -1530,7 +1530,7 @@ static void signal_offline_reset(struct tevent_context *ev,
     monitor = talloc_get_type(private_data, struct mt_ctx);
 
     DEBUG(SSSDBG_TRACE_INTERNAL,
-         ("Signaling providers to reset offline immediately.\n"));
+         "Signaling providers to reset offline immediately.\n");
 
     for(cur_svc = monitor->svc_list; cur_svc; cur_svc = cur_svc->next) {
         if (cur_svc->provider) {
@@ -1571,14 +1571,14 @@ static errno_t load_configuration(TALLOC_CTX *mem_ctx,
 
     cdb_file = talloc_asprintf(ctx, "%s/%s", DB_PATH, CONFDB_FILE);
     if (cdb_file == NULL) {
-        DEBUG(0,("Out of memory, aborting!\n"));
+        DEBUG(0,"Out of memory, aborting!\n");
         ret = ENOMEM;
         goto done;
     }
 
     ret = confdb_init(ctx, &ctx->cdb, cdb_file);
     if (ret != EOK) {
-        DEBUG(0,("The confdb initialization failed\n"));
+        DEBUG(0,"The confdb initialization failed\n");
         goto done;
     }
 
@@ -1595,26 +1595,26 @@ static errno_t load_configuration(TALLOC_CTX *mem_ctx,
 
         ret = confdb_init(ctx, &ctx->cdb, cdb_file);
         if (ret != EOK) {
-            DEBUG(0,("The confdb initialization failed\n"));
+            DEBUG(0,"The confdb initialization failed\n");
             goto done;
         }
 
         /* Load special entries */
         ret = confdb_create_base(ctx->cdb);
         if (ret != EOK) {
-            DEBUG(0, ("Unable to load special entries into confdb\n"));
+            DEBUG(0, "Unable to load special entries into confdb\n");
             goto done;
         }
     } else if (ret != EOK) {
-        DEBUG(0, ("Fatal error initializing confdb\n"));
+        DEBUG(0, "Fatal error initializing confdb\n");
         goto done;
     }
     talloc_zfree(cdb_file);
 
     ret = confdb_init_db(config_file, ctx->cdb);
     if (ret != EOK) {
-        DEBUG(0, ("ConfDB initialization has failed [%s]\n",
-              strerror(ret)));
+        DEBUG(0, "ConfDB initialization has failed [%s]\n",
+              strerror(ret));
         goto done;
     }
 
@@ -1672,7 +1672,7 @@ static void config_file_changed(struct tevent_context *ev,
 
     te = tevent_add_timer(ev, ev, tv, process_config_file, file_ctx);
     if (!te) {
-        DEBUG(0, ("Unable to queue config file update! Exiting.\n"));
+        DEBUG(0, "Unable to queue config file update! Exiting.\n");
         kill(getpid(), SIGTERM);
         return;
     }
@@ -1704,7 +1704,7 @@ static void process_config_file(struct tevent_context *ev,
     event_size = sizeof(struct inotify_event);
     file_ctx = talloc_get_type(ptr, struct config_file_ctx);
 
-    DEBUG(1, ("Processing config file changes\n"));
+    DEBUG(1, "Processing config file changes\n");
 
     tmp_ctx = talloc_new(NULL);
     if (!tmp_ctx) return;
@@ -1719,8 +1719,8 @@ static void process_config_file(struct tevent_context *ev,
     if (len == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Critical error reading inotify file descriptor [%d]: %s\n",
-               ret, strerror(ret)));
+              "Critical error reading inotify file descriptor [%d]: %s\n",
+               ret, strerror(ret));
         goto done;
     }
 
@@ -1740,8 +1740,8 @@ static void process_config_file(struct tevent_context *ev,
         if (len == -1) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                ("Critical error reading inotify file descriptor [%d]: %s\n",
-                ret, strerror(ret)));
+                "Critical error reading inotify file descriptor [%d]: %s\n",
+                ret, strerror(ret));
             goto done;
         }
     }
@@ -1752,7 +1752,7 @@ static void process_config_file(struct tevent_context *ev,
         }
     }
     if (!cb) {
-        DEBUG(0, ("Unknown watch descriptor\n"));
+        DEBUG(0, "Unknown watch descriptor\n");
         goto done;
     }
 
@@ -1767,12 +1767,12 @@ static void process_config_file(struct tevent_context *ev,
         struct tevent_timer *tev;
         tv.tv_sec = t.tv_sec+5;
         tv.tv_usec = t.tv_usec;
-        DEBUG(5, ("Restoring inotify watch.\n"));
+        DEBUG(5, "Restoring inotify watch.\n");
 
         cb->retries = 0;
         rw_ctx = talloc(file_ctx, struct rewatch_ctx);
         if(!rw_ctx) {
-            DEBUG(0, ("Could not restore inotify watch. Quitting!\n"));
+            DEBUG(0, "Could not restore inotify watch. Quitting!\n");
             close(file_ctx->mt_ctx->inotify_fd);
             kill(getpid(), SIGTERM);
             goto done;
@@ -1782,7 +1782,7 @@ static void process_config_file(struct tevent_context *ev,
 
         tev = tevent_add_timer(ev, rw_ctx, tv, rewatch_config_file, rw_ctx);
         if (tev == NULL) {
-            DEBUG(0, ("Could not restore inotify watch. Quitting!\n"));
+            DEBUG(0, "Could not restore inotify watch. Quitting!\n");
             close(file_ctx->mt_ctx->inotify_fd);
             kill(getpid(), SIGTERM);
         }
@@ -1818,7 +1818,7 @@ static void rewatch_config_file(struct tevent_context *ev,
     cb->retries++;
     if (cb->retries > 6) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-             ("Could not restore inotify watch. Switching to polling!\n"));
+             "Could not restore inotify watch. Switching to polling!\n");
         close(file_ctx->mt_ctx->inotify_fd);
         err = monitor_config_file_fallback(file_ctx->parent_ctx,
                                            file_ctx->mt_ctx,
@@ -1846,13 +1846,13 @@ static void rewatch_config_file(struct tevent_context *ev,
         tv.tv_usec = t.tv_usec;
 
         DEBUG(SSSDBG_CRIT_FAILURE,
-             ("Could not add inotify watch for file [%s]. Error [%d:%s]\n",
-             cb->filename, err, strerror(err)));
+             "Could not add inotify watch for file [%s]. Error [%d:%s]\n",
+             cb->filename, err, strerror(err));
 
         tev = tevent_add_timer(ev, ev, tv, rewatch_config_file, rw_ctx);
         if (tev == NULL) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                 ("Could not restore inotify watch. Quitting!\n"));
+                 "Could not restore inotify watch. Quitting!\n");
             close(file_ctx->mt_ctx->inotify_fd);
             kill(getpid(), SIGTERM);
         }
@@ -1885,8 +1885,8 @@ static void poll_config_file(struct tevent_context *ev,
         ret = stat(cb->filename, &file_stat);
         if (ret < 0) {
             err = errno;
-            DEBUG(0, ("Could not stat file [%s]. Error [%d:%s]\n",
-                      cb->filename, err, strerror(err)));
+            DEBUG(0, "Could not stat file [%s]. Error [%d:%s]\n",
+                      cb->filename, err, strerror(err));
             /* TODO: If the config file is missing, should we shut down? */
             return;
         }
